Skip to main content
GET
/
management
/
keys
/
{id}
Get management API key
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phaseo.app/v1/management/keys/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "ok": true,
  "key": {
    "id": "11111111-1111-4111-8111-111111111111",
    "team_id": "22222222-2222-4222-8222-222222222222",
    "name": "Production Key",
    "prefix": "pk_abc123",
    "status": "active",
    "scopes": "read,write",
    "created_by": "33333333-3333-4333-8333-333333333333",
    "created_at": "2026-01-01T00:00:00Z",
    "last_used_at": "2026-01-20T10:30:00Z",
    "soft_blocked": false
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

The management API key ID

Response

Management API key details

ok
enum<boolean>
required
Available options:
true
key
object
required
Last modified on February 11, 2026